org.apache.pdfbox.pdmodel.graphics.form

## Class PDTransparencyGroupAttributes

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.form.PDTransparencyGroupAttributes

All Implemented Interfaces:
  COSObjectable

    public final class PDTransparencyGroupAttributes
    extends Object
    implements COSObjectable

Transparency group attributes.

Author:
  Kühn & Weyh Software GmbH

### Constructor Summary

Constructors
Constructor and Description
`PDTransparencyGroupAttributes()` Creates a group object with /Transparency subtype entry.
`PDTransparencyGroupAttributes(COSDictionary dic)` Creates a group object from a given dictionary

### Method Summary

All Methods Instance Methods Concrete Methods
`PDColorSpace` `getColorSpace()` Returns the group color space or null if it isn't defined.
`PDColorSpace` `getColorSpace(PDResources resources)` Returns the group color space or null if it isn't defined.
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`boolean` `isIsolated()` Returns true if this group is isolated.
`boolean` `isKnockout()` Returns true if this group is a knockout.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDTransparencyGroupAttributes

    public PDTransparencyGroupAttributes()

Creates a group object with /Transparency subtype entry.

#### PDTransparencyGroupAttributes

    public PDTransparencyGroupAttributes(COSDictionary dic)

Creates a group object from a given dictionary

Parameters:
  `dic` - `COSDictionary` object

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getColorSpace

    public PDColorSpace getColorSpace()
                               throws IOException

Returns the group color space or null if it isn't defined.

Returns:
  the group color space.
Throws:
  `IOException`

#### getColorSpace

    public PDColorSpace getColorSpace(PDResources resources)
                               throws IOException

Returns the group color space or null if it isn't defined.

Parameters:
  `resources` - useful for its cache. Can be null.
Returns:
  the group color space.
Throws:
  `IOException`

#### isIsolated

    public boolean isIsolated()

Returns true if this group is isolated. Isolated groups begin with the fully transparent image, non-isolated begin with the current backdrop.

#### isKnockout

    public boolean isKnockout()

Returns true if this group is a knockout. A knockout group blends with original backdrop, a non-knockout group blends with the current backdrop.